Skip navigation links

Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle VM Manager Web Services API Reference Release 2.1.5 E14979-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.ovs.api
Interface AdminService

All Superinterfaces:
  java.rmi.Remote

      public interface AdminService

extends java.rmi.Remote

Admin Service web service interface

Method Summary
`OVMGroup` | `createGroup(java.lang.String groupName, java.lang.String desc)`
`OVMUser` | `createUser(java.lang.String accountName, java.lang.String email, java.lang.String firstName, java.lang.String lastName, java.lang.String password)`
`OVMUser` | `createUser(java.lang.String accountName, java.lang.String email, java.lang.String firstName, java.lang.String lastName, java.lang.String password, java.lang.Long roleId)`
`OVMUser` | `createUser(java.lang.String accountName, java.lang.String email, java.lang.String firstName, java.lang.String lastName, java.lang.String password, java.lang.String accountStatus)`
`OVMUser` | `createUser(java.lang.String accountName, java.lang.String email, java.lang.String firstName, java.lang.String lastName, java.lang.String password, java.lang.String accountStatus, java.lang.Long roleId)`
`OVMUserGroup` | `createUserGroup(java.lang.Long userId, java.lang.Long groupId)`
`OVMUserSite` | `createUserSite(java.lang.Long userId, java.lang.Long siteId)`
`OVMGroup[]` | `findAllOVMGroup()`
`OVMRole[]` | `findAllOVMRole()`
`OVMUser[]` | `findAllOVMUser()`
`OVMUserGroup[]` | `findAllOVMUserGroup()`
`OVMUserRole[]` | `findAllOVMUserRole()`
`OVMUserSite[]` | `findAllOVMUserSite()`
`OVMUser` | `findUserById(java.lang.Long Id)`
`boolean` | `isAdminUser(java.lang.String accountName)`
`java.lang.String` | `login(java.lang.String accountName, java.lang.String password, java.lang.String extProps)`
`boolean` | `logout(java.lang.String token, java.lang.String accountName, java.lang.String password)`
`OVMUser[]` | `searchUsers(java.lang.String accountName, java.lang.String email, java.lang.String status)`

Method Detail

### createUserSite

    OVMUserSite createUserSite(java.lang.Long userId,
                               java.lang.Long siteId)
                               throws oracle.ovs.biz.exception.OVSException,
                                      java.rmi.RemoteException

  Throws:
    `oracle.ovs.biz.exception.OVSException`
    `java.rmi.RemoteException`

### findAllOVMRole

    OVMRole[] findAllOVMRole()
                             throws java.rmi.RemoteException

  Throws:
    `java.rmi.RemoteException`

### createUserGroup

    OVMUserGroup createUserGroup(java.lang.Long userId,
                                 java.lang.Long groupId)
                                 throws oracle.ovs.biz.exception.OVSException,
                                        java.rmi.RemoteException

  Throws:
    `oracle.ovs.biz.exception.OVSException`
    `java.rmi.RemoteException`

### login

    java.lang.String login(java.lang.String accountName,
                           java.lang.String password,
                           java.lang.String extProps)
                           throws oracle.ovs.biz.exception.OVSException,
                                  java.rmi.RemoteException

  Throws:
    `oracle.ovs.biz.exception.OVSException`
    `java.rmi.RemoteException`

### createUser

    OVMUser createUser(java.lang.String accountName,
                       java.lang.String email,
                       java.lang.String firstName,
                       java.lang.String lastName,
                       java.lang.String password)
                       throws oracle.ovs.biz.exception.OVSException,
                              java.rmi.RemoteException

  Throws:
    `oracle.ovs.biz.exception.OVSException`
    `java.rmi.RemoteException`

### createGroup

    OVMGroup createGroup(java.lang.String groupName,
                         java.lang.String desc)
                         throws oracle.ovs.biz.exception.OVSException,
                                java.rmi.RemoteException

  Throws:
    `oracle.ovs.biz.exception.OVSException`
    `java.rmi.RemoteException`

### findAllOVMUserSite

    OVMUserSite[] findAllOVMUserSite()
                                     throws java.rmi.RemoteException

  Throws:
    `java.rmi.RemoteException`

### findAllOVMGroup

    OVMGroup[] findAllOVMGroup()
                               throws java.rmi.RemoteException

  Throws:
    `java.rmi.RemoteException`

### logout

    boolean logout(java.lang.String token,
                   java.lang.String accountName,
                   java.lang.String password)
                   throws oracle.ovs.biz.exception.OVSException,
                          java.rmi.RemoteException

  Throws:
    `oracle.ovs.biz.exception.OVSException`
    `java.rmi.RemoteException`

### searchUsers

    OVMUser[] searchUsers(java.lang.String accountName,
                          java.lang.String email,
                          java.lang.String status)
                          throws java.rmi.RemoteException

  Throws:
    `java.rmi.RemoteException`

### findAllOVMUserGroup

    OVMUserGroup[] findAllOVMUserGroup()
                                       throws java.rmi.RemoteException

  Throws:
    `java.rmi.RemoteException`

### findAllOVMUser

    OVMUser[] findAllOVMUser()
                             throws java.rmi.RemoteException

  Throws:
    `java.rmi.RemoteException`

### createUser

    OVMUser createUser(java.lang.String accountName,
                       java.lang.String email,
                       java.lang.String firstName,
                       java.lang.String lastName,
                       java.lang.String password,
                       java.lang.String accountStatus,
                       java.lang.Long roleId)
                       throws oracle.ovs.biz.exception.OVSException,
                              java.rmi.RemoteException

  Throws:
    `oracle.ovs.biz.exception.OVSException`
    `java.rmi.RemoteException`

### createUser

    OVMUser createUser(java.lang.String accountName,
                       java.lang.String email,
                       java.lang.String firstName,
                       java.lang.String lastName,
                       java.lang.String password,
                       java.lang.String accountStatus)
                       throws oracle.ovs.biz.exception.OVSException,
                              java.rmi.RemoteException

  Throws:
    `oracle.ovs.biz.exception.OVSException`
    `java.rmi.RemoteException`

### createUser

    OVMUser createUser(java.lang.String accountName,
                       java.lang.String email,
                       java.lang.String firstName,
                       java.lang.String lastName,
                       java.lang.String password,
                       java.lang.Long roleId)
                       throws oracle.ovs.biz.exception.OVSException,
                              java.rmi.RemoteException

  Throws:
    `oracle.ovs.biz.exception.OVSException`
    `java.rmi.RemoteException`

### isAdminUser

    boolean isAdminUser(java.lang.String accountName)
                        throws oracle.ovs.biz.exception.OVSException,
                               java.rmi.RemoteException

  Throws:
    `oracle.ovs.biz.exception.OVSException`
    `java.rmi.RemoteException`

### findUserById

    OVMUser findUserById(java.lang.Long Id)
                         throws java.rmi.RemoteException

  Throws:
    `java.rmi.RemoteException`

### findAllOVMUserRole

    OVMUserRole[] findAllOVMUserRole()
                                     throws java.rmi.RemoteException

  Throws:
    `java.rmi.RemoteException`

Skip navigation links

Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle VM Manager Web Services API Reference Release 2.1.5 E14979-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009, Oracle. All rights reserved.